Open Chinese Convert 1.2.0 A project for conversion between Traditional and Simplified Chinese

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
opencc::DictEntry Class Referenceabstract
OpenCC C++ Comprehensive API

Key-values pair entry. More...

`#include <DictEntry.hpp>`

Inheritance diagram for opencc::DictEntry:

## Public Member Functions
virtual std::string | Key () const =0
virtual std::vector< std::string > | Values () const =0
virtual std::string | GetDefault () const =0
virtual size_t | NumValues () const =0
virtual std::string | ToString () const =0
size_t | KeyLength () const
bool | operator< (const DictEntry &that) const
bool | operator== (const DictEntry &that) const

## Static Public Member Functions
static bool | UPtrLessThan (const std::unique_ptr< DictEntry > &a, const std::unique_ptr< DictEntry > &b)

## Detailed Description

Key-values pair entry.

The documentation for this class was generated from the following file:

- DictEntry.hpp